> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all Delivery API keys

GET https://api.contentful.com/spaces/{space_id}/api_keys

Reference: https://contentful.com/developers/docs/references/content-management-api/api-keys/get-all-delivery-api-keys

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the space in form of a string

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [],
  "limit": 100,
  "skip": 0,
  "sys": {
    "type": "Array"
  },
  "total": 0
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Fetch all api keys.
client
    .apiKeys()
    .async()
    .fetchAll(
        "<space_id>",
        new CMACallback<CMAArray<CMAApiKey>>() {
          @Override protected void onSuccess(CMAArray<CMAApiKey> result) {
            new AlertDialog.Builder(context)
                .setTitle("Contentful")
                .setMessage("Successfully fetched all api keys." +
                    "\n\nResult: " + result)
                .show();
          }

          @Override protected void onFailure(RuntimeException exception) {
            // An error occurred! Inform the user.
            new AlertDialog.Builder(context)
                .setTitle("Contentful Error")
                .setMessage("Could not fetch api keys." +
                    "\n\nReason: " + exception.toString())
                .show();

            super.onFailure(exception);
          }
        }
    );
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Fetch all Api Keys.
final CMAArray<CMAApiKey> apiKeys = client
    .apiKeys()
    .fetchAll("<space_id>");
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Fetch all Api Keys.
val apiKeys = client
        .apiKeys()
        .fetchAll("<space_id>")
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })


client.getSpace('<space_id>')
.then((space) => space.getApiKeys())
.then((response) => console.log(response.items))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = createClient({
  accessToken: '<content_management_api_key>'
})

const keys = await client.apiKey.getMany({
  spaceId: '<space_id>'
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$space = $client->getSpaceProxy('<space_id>');

$deliveryApiKeys = $space->getDeliveryApiKeys();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

api_keys = client.api_keys('<space_id>').all
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

api_keys = client.api_keys('<space_id>').all()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

var allApiKeys = await client.GetAllApiKeys();
```